AbstractReadCommandBuilder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class AbstractReadCommandBuilder

- java.lang.Object
- - org.apache.cassandra.db.AbstractReadCommandBuilder

- Direct Known Subclasses:
    AbstractReadCommandBuilder.PartitionRangeBuilder, AbstractReadCommandBuilder.SinglePartitionBuilder, AbstractReadCommandBuilder.SinglePartitionSliceBuilder

      public abstract class AbstractReadCommandBuilder
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractReadCommandBuilder.PartitionRangeBuilder`
    `static class` | `AbstractReadCommandBuilder.SinglePartitionBuilder`
    `static class` | `AbstractReadCommandBuilder.SinglePartitionSliceBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ColumnFamilyStore` | `cfs`
    `protected java.util.Set<ColumnIdentifier>` | `columns`
    `protected RowFilter` | `filter`
    `protected int` | `nowInSeconds`
    `protected boolean` | `reversed`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ReadCommand` | `build()`
    `AbstractReadCommandBuilder` | `columns(java.lang.String... columns)`
    `AbstractReadCommandBuilder` | `filterOn(java.lang.String column, Operator op, java.lang.Object value)`
    `AbstractReadCommandBuilder` | `fromExcl(java.lang.Object... values)`
    `AbstractReadCommandBuilder` | `fromIncl(java.lang.Object... values)`
    `AbstractReadCommandBuilder` | `includeRow(java.lang.Object... values)`
    `protected ColumnFilter` | `makeColumnFilter()`
    `protected ClusteringIndexFilter` | `makeFilter()`
    `protected DataLimits` | `makeLimits()`
    `AbstractReadCommandBuilder` | `reverse()`
    `AbstractReadCommandBuilder` | `toExcl(java.lang.Object... values)`
    `AbstractReadCommandBuilder` | `toIncl(java.lang.Object... values)`
    `AbstractReadCommandBuilder` | `withLimit(int newLimit)`
    `AbstractReadCommandBuilder` | `withNowInSeconds(int nowInSec)`
    `AbstractReadCommandBuilder` | `withPagingLimit(int newLimit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cfs

          protected final ColumnFamilyStore cfs

    - #### nowInSeconds

          protected int nowInSeconds

    - #### reversed

          protected boolean reversed

    - #### columns

          protected java.util.Set<ColumnIdentifier> columns

    - #### filter

          protected final RowFilter filter

  - ### Method Detail

    - #### withNowInSeconds

          public AbstractReadCommandBuilder withNowInSeconds(int nowInSec)

    - #### fromIncl

          public AbstractReadCommandBuilder fromIncl(java.lang.Object... values)

    - #### fromExcl

          public AbstractReadCommandBuilder fromExcl(java.lang.Object... values)

    - #### toIncl

          public AbstractReadCommandBuilder toIncl(java.lang.Object... values)

    - #### toExcl

          public AbstractReadCommandBuilder toExcl(java.lang.Object... values)

    - #### includeRow

          public AbstractReadCommandBuilder includeRow(java.lang.Object... values)

    - #### reverse

          public AbstractReadCommandBuilder reverse()

    - #### withLimit

          public AbstractReadCommandBuilder withLimit(int newLimit)

    - #### withPagingLimit

          public AbstractReadCommandBuilder withPagingLimit(int newLimit)

    - #### columns

          public AbstractReadCommandBuilder columns(java.lang.String... columns)

    - #### filterOn

          public AbstractReadCommandBuilder filterOn(java.lang.String column,
                                                     Operator op,
                                                     java.lang.Object value)

    - #### makeColumnFilter

          protected ColumnFilter makeColumnFilter()

    - #### makeFilter

          protected ClusteringIndexFilter makeFilter()

    - #### makeLimits

          protected DataLimits makeLimits()

    - #### build

          public abstract ReadCommand build()

Copyright © 2018 The Apache Software Foundation